Subject: bug#36747: Official MesCC bootstrap binaries differ from my locally built ones

From: Mark H Weaver <[email-masked]>
Date: Tue, 13 Aug 2019 02:42:25 -0400

Hi Janneke,

Jan Nieuwenhuizen <[email-masked]> writes:

> Mark H Weaver writes:
>
>> It seems to me that the best way to accomplish this is to backport the
>> new '%bootstrap-tarballs' from 'wip-cu-binaries' to the 'master' branch.
>
> I called that `wip-binaries', @master from three weeks ago.

Thank you, that was a good start.  I found that some additional patches
were needed to match the bootstrap binaries that 'core-updates' is
currently based on.

I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
It includes slightly modified versions of the two commits you had
included, as well as some additional cherry-picked commits of yours to
update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
few of my own.

I built the new bootstrap tarballs at the new 'wip-binaries', commit
c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~/guix-wip-binaries$ git describe
v1.0.1-2404-gc67becb31c
mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
/gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0$ sha256sum *
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
--8<---------------cut here---------------end--------------->8---

All of these match what you posted here earlier except for
guile-static-stripped-2.2.4.  In my final commit to 'wip-binaries'
I disabled the parallel build in guile-static, which I hope might
make that build deterministic.

Can you try "guix build --system=i686-linux bootstrap-tarballs" at the
new 'wip-binaries' branch and see if you get the same results?

Also, I have a question: One of the changes I made to 'wip-binaries' was
to update mescc-tools to 0.5.2-0.bb062b0, to match the
%bootstrap-mescc-tools that's currently being used in 'core-updates'.

However, I noticed that you have also apparently built the official
release of mescc-tools-0.5.2, which is on your site:

  http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz

and that this tarball is identical to the build output of the later git
commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.

With this in mind, could we just use 0.5.2?  What changed between 0.5.2
and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?
Here's the relevant commit:

  commit 7cbf6f1ca268a7a179d715aaba2a451a8886ab44
  Author: Jan Nieuwenhuizen <[email-masked]>
  Date:   Fri Oct 12 08:19:53 2018 +0200
  
      gnu: mescc-tools: Update to 0.5.2-0.bb062b0d.
      
      * gnu/packages/mes.scm (mescc-tools): Update to 0.5.2-0.bb062b0d.
      mescc
      * gnu/packages/commencement.scm (mescc-tools-boot): Stay at 0.5.2

Anyway, thanks for all of your work on this.

     Best,
      Mark